Library Version 11.2.5.3

set_commit_flags
Prev | Chapter 3. Db_container | Next

## set_commit_flags

### Function Details

    void set_commit_flags(u_int32_t flag)

Set flag of DbTxn::commit() call.

#### Parameters

##### flag

Flags to be set to DbTxn::commit().

### Group: Get and set functions for data members.

Note that these functions are not thread safe, because all data members of db_container are supposed to be set on container construction and initialization, and remain read only afterwards.

### Class

db_container

Prev | Up | Next
get_txn_begin_flags | Home | get_commit_flags